Package org.eclipse.cdt.core.settings.model.util

## Class AbstractEntryStorage

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.AbstractEntryStorage

Direct Known Subclasses:
  `UserAndDiscoveredEntryStorage`

    public abstract class AbstractEntryStorage
    extends Object

### Constructor Summary

Constructors
`AbstractEntryStorage​(int kind)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract SettingsSet` `createEmptySettings()`
`List<ICLanguageSettingEntry>` `getEntries​(List<ICLanguageSettingEntry> list)`
`int` `getKind()`
`protected SettingsSet` `initCache()`
`static String[]` `macroNameValueFromValue​(String value)`
`protected abstract void` `obtainEntriesFromLevel​(int levelNum, SettingsSet.SettingLevel level)`
`protected abstract void` `putEntriesToLevel​(int levelNum, SettingsSet.SettingLevel level)`
`protected void` `resetDefaults()`
`void` `setEntries​(ICLanguageSettingEntry[] entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractEntryStorage

    public AbstractEntryStorage​(int kind)

### Method Detail

#### getKind

    public int getKind()

#### getEntries

    public List<ICLanguageSettingEntry> getEntries​(List<ICLanguageSettingEntry> list)

#### resetDefaults

    protected void resetDefaults()

#### setEntries

    public void setEntries​(ICLanguageSettingEntry[] entries)

#### initCache

    protected SettingsSet initCache()

#### putEntriesToLevel

    protected abstract void putEntriesToLevel​(int levelNum,
                                              SettingsSet.SettingLevel level)

#### obtainEntriesFromLevel

    protected abstract void obtainEntriesFromLevel​(int levelNum,
                                                   SettingsSet.SettingLevel level)

#### createEmptySettings

    protected abstract SettingsSet createEmptySettings()

#### macroNameValueFromValue

    public static String[] macroNameValueFromValue​(String value)